#!/bin/bash
FolderName=`dirname $0`
ScriptName=`basename $0`
FileName=mbr.bin
DeviceName=/dev/disk/*/raw

if [ $# = 1 ]
then
	Device=$1
	if [[ $Device == $DeviceName ]]
	then 
		dd if="$FolderName/$FileName" of=$Device bs=440 count=1
		exit $?
	else
		echo "path '$Device' is not a raw disk device"
		exit -1
	fi
else
	echo Install the Haiku MBR on the device
	echo usage : $ScriptName [DiskDevicePath]
	echo "   ex : $ScriptName /dev/disk/ata/0/master/raw"
	echo "        $ScriptName /dev/disk/USB/0/0/raw"
	exit -1
fi
